"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class GeneCancerAssociation(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_4 import opencb as opencb_2_9_3

        return {
            "org.opencb.biodata.models.variant.avro.GeneCancerAssociation": opencb_2_9_3.GeneCancerAssociation,
        }

    __slots__ = [
        "germline",
        "germlineTumourTypes",
        "id",
        "modeOfInheritance",
        "mutationTypes",
        "roleInCancer",
        "somatic",
        "somaticTumourTypes",
        "source",
        "syndromes",
        "tier",
        "tissues",
        "translocationPartners",
    ]

    def __init__(
        self,
        germline=None,
        germlineTumourTypes=None,
        id=None,
        modeOfInheritance=None,
        mutationTypes=None,
        roleInCancer=None,
        somatic=None,
        somaticTumourTypes=None,
        source=None,
        syndromes=None,
        tier=None,
        tissues=None,
        translocationPartners=None,
        validate=None,
        **kwargs
    ):
        """Initialise the opencb_2_9_3.GeneCancerAssociation model.

        :param germline:
        :type germline: None | boolean
        :param germlineTumourTypes:
        :type germlineTumourTypes: None | list[str]
        :param id:
        :type id: None | str
        :param modeOfInheritance:
        :type modeOfInheritance: None | list[str]
        :param mutationTypes:
        :type mutationTypes: None | list[str]
        :param roleInCancer:
        :type roleInCancer: None | list[str]
        :param somatic:
        :type somatic: None | boolean
        :param somaticTumourTypes:
        :type somaticTumourTypes: None | list[str]
        :param source:
        :type source: None | str
        :param syndromes:
        :type syndromes: None | list[str]
        :param tier:
        :type tier: None | str
        :param tissues:
        :type tissues: None | list[str]
        :param translocationPartners:
        :type translocationPartners: None | list[str]
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "2.9.3-GEL"
